org.apache.maven.scm.command.tag

## Class TagScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.tag.TagScmResult

All Implemented Interfaces:
  Serializable

    public class TagScmResult
    extends ScmResult

Version:
  $Id: TagScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TagScmResult(List taggedFiles, ScmResult result)`
`TagScmResult(String commandLine, List taggedFiles)`
`TagScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

Methods
`List` `getTaggedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagScmResult

    public TagScmResult(String commandLine,
                String providerMessage,
                String commandOutput,
                boolean success)

#### TagScmResult

    public TagScmResult(String commandLine,
                List taggedFiles)

#### TagScmResult

    public TagScmResult(List taggedFiles,
                ScmResult result)

### Method Detail

#### getTaggedFiles

    public List getTaggedFiles()